import { IsInt, IsNotEmpty, IsString, MaxLength } from 'class-validator';

export class LoginOperadorDto {
  @IsInt()
  id_modulo: number;

  @IsString()
  @IsNotEmpty()
  @MaxLength(40)
  operador: string;

  @IsString()
  @IsNotEmpty()
  password: string;
}
