import { Expose, Type } from 'class-transformer';
import { TipoCarritoOutputDto } from '../../../institucion-tipo-carrito/dto/output/tipo-carrito.dto';
import { MarcaOutputDto } from '../../../marca/dto/output/marca.dto';
import { ModeloOutputDto } from '../../../modelo/dto/output/modelo.dto';
import { ModuloMinOutputDto } from '../../../modulo/dto/output/modulo-min.dto';

export class CarritoOutputDto {
  @Expose()
  id_carrito;

  @Expose()
  activo;

  @Expose()
  carrito;

  @Expose()
  @Type(() => MarcaOutputDto)
  marca;

  @Expose()
  @Type(() => ModeloOutputDto)
  modelo;

  @Expose()
  @Type(() => ModuloMinOutputDto)
  modulo;

  @Expose()
  @Type(() => TipoCarritoOutputDto)
  tipoCarrito;
}
