import { Expose, Type } from 'class-transformer';
import { InstitucionCarreaOutputDto } from '../../../institucion-carrera/dto/output/institucion-carrera.dto';
import { UsuariosOutputDto } from '../../../usuario/dto/output/usuarios.dto';

export class UsuarioInstitucionCarreraOutputDto {
  @Expose()
  id_institucion_usuario;

  @Expose()
  activo;

  @Expose()
  multa;

  @Expose()
  @Type(() => InstitucionCarreaOutputDto)
  institucionCarrera;

  @Expose()
  @Type(() => UsuariosOutputDto)
  usuario;
}
