import { IsInt, IsNotEmpty, IsOptional, IsString } from 'class-validator';

export class UpdatePasswordOperadorDto {
  @IsInt()
  id_operador: number;

  @IsString()
  @IsNotEmpty()
  @IsOptional()
  password?: string;
}
