import { IsNotEmpty, IsString, MaxLength } from 'class-validator';

export class LoginAdminDto {
  @IsString()
  @IsNotEmpty()
  @MaxLength(40)
  operador: string;

  @IsString()
  @IsNotEmpty()
  password: string;
}
